%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		tomboy
Version:	1.9.9
Release:	%mkrel 1
Summary:	Desktop note-taking application for Linux and Unix
Group:		Graphical desktop/GNOME
# Tomboy itself is LGPL+
# libtomboy contains GPL+ code
License:	LGPL+ and GPLv2+
URL:		http://www.gnome.org/projects/tomboy/
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		tomboy-1.7.3-gmime2.6.patch
#gw we need an UTF-8 locale for gmcs to allow non-ASCII source files
BuildRequires:	locales-en
###
#for autoreconf
BuildRequires:	intltool
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gnome-doc-utils)
###
BuildRequires:	mono(gmcs)
BuildRequires:	pkgconfig(mono) >= 1.9.1
BuildRequires:	pkgconfig(mono-addins)
#BuildRequires:  pkgconfig(mono-nunit)
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.14.0
BuildRequires:	pkgconfig(dbus-sharp-glib-1.0) >= 0.3
BuildRequires:	pkgconfig(gconf-sharp-2.0)
BuildRequires:	pkgconfig(gtkspell-2.0) >= 2.0.9
BuildRequires:	pkgconfig(gmime-sharp-2.6)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(galago-sharp) >= 0.5.0

%description
Tomboy is a desktop note-taking application for Linux and Unix. Simple
and easy to use, but with potential to help you organize the ideas and
information you deal with every day. The key to Tomboy's usefulness
lies in the ability to relate notes and ideas together. Using a
WikiWiki-like linking system, organizing ideas is as simple as typing
a name. Branching an idea off is easy as pressing the Link button. And
links between your ideas won't break, even when renaming and
reorganizing them.

%prep
%setup -q
%patch0 -p1 -b .gmime2.6

%build
autoreconf -vfi
%configure2_5x \
	--enable-galago=no \
	--disable-scrollkeeper \
	--disable-update-mimedb \
	--disable-schemas-install \
	--enable-gnome=no \
	--enable-tests=no
make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name} --with-gnome

#we don't want these
rm -f %{buildroot}%{_libdir}/tomboy/libtomboy.la

%preun
%preun_uninstall_gconf_schemas %{name}

%files -f %{name}.lang
%doc NEWS README AUTHORS
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%{_mandir}/man1/%name.1*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/tomboy*
%{_datadir}/icons/hicolor/*/mimetypes/application-x-note.*
%{_datadir}/mime/packages/tomboy.xml
%{_datadir}/%{name}
%{_libdir}/%{name}/libtomboy.so
%{_libdir}/%{name}/Tomboy.exe
%{_libdir}/%{name}/Tomboy.exe.config
%{_libdir}/%{name}/Tomboy.exe.mdb
%{_libdir}/%{name}/addins/
%{_libdir}/pkgconfig/tomboy-addins.pc
%{_datadir}/dbus-1/services/org.gnome.Tomboy.service


%changelog

* Tue Mar 06 2012 fwang <fwang> 1.9.9-1.mga2
+ Revision: 220340
- new version 1.9.9

* Wed Feb 22 2012 ovitters <ovitters> 1.9.8-1.mga2
+ Revision: 212330
- new version

* Mon Feb 06 2012 fwang <fwang> 1.9.6-1.mga2
+ Revision: 205458
- new version 1.9.6

  + ovitters <ovitters>
    - new version
    - clean spec file

* Mon Dec 19 2011 wally <wally> 1.9.4-1.mga2
+ Revision: 184599
- new version 1.9.4

* Mon Nov 21 2011 wally <wally> 1.9.3-1.mga2
+ Revision: 170613
- new version 1.9.3

* Tue Oct 25 2011 fwang <fwang> 1.9.2-1.mga2
+ Revision: 157992
- new version 1.9.2

* Tue Oct 18 2011 wally <wally> 1.9.1-1.mga2
+ Revision: 156139
- new version 1.9.1

* Mon Sep 26 2011 fwang <fwang> 1.8.0-1.mga2
+ Revision: 148814
- new version 1.8.0

* Mon Sep 19 2011 fwang <fwang> 1.7.7-1.mga2
+ Revision: 145301
- new version 1.7.7

* Tue Sep 06 2011 fwang <fwang> 1.7.6-1.mga2
+ Revision: 139323
- new version 1.7.6

* Tue Aug 30 2011 fwang <fwang> 1.7.5-1.mga2
+ Revision: 136486
- new version 1.7.5
- rebuild for new gmime
- new version 1.7.4

  + wally <wally>
    - new version 1.7.3
    - disable Galago add-in for now as build fails
    - clean BRs
    - clean .spec

* Fri Jul 08 2011 fwang <fwang> 1.7.1-1.mga2
+ Revision: 120136
- br gconf-sharp
- new version 1.7.1

  + dmorgan <dmorgan>
    - New version 1.7.0
    - Rebuild against gnome3

* Mon Apr 18 2011 dams <dams> 1.6.0-1.mga1
+ Revision: 87716
- Update to 1.6.0 and remove CVE as now merged upstream

* Thu Apr 14 2011 tv <tv> 1.4.2-2.mga1
+ Revision: 85383
- cleanups
- imported package tomboy

